Download asynchronous capture result
import requests
url = "https://api.snapsnip.io/v1/capture/async/{capture_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snapsnip.io/v1/capture/async/{capture_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snapsnip.io/v1/capture/async/{capture_id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.snapsnip.io/v1/capture/async/{capture_id}/download");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.snapsnip.io/v1/capture/async/{capture_id}/download")
.header("Authorization", "Bearer <token>")
.asString();curl --request GET \
--url https://api.snapsnip.io/v1/capture/async/{capture_id}/download \
--header 'Authorization: Bearer <token>'{
"code": "unauthorized",
"message": "Missing or invalid API key."
}{
"code": "not_found",
"message": "The capture was not found."
}{
"code": "capture_result_not_available",
"message": "The capture result is not currently available."
}{
"code": "capture_result_expired",
"message": "The capture result expired."
}{
"code": "internal_error",
"message": "An unexpected internal error occurred."
}{
"code": "service_unavailable",
"message": "The service is temporarily unavailable."
}Capture
Download asynchronous capture result
Download the result of a completed asynchronous capture. The result remains available only until its expiration time.
GET
/
capture
/
async
/
{capture_id}
/
download
Download asynchronous capture result
import requests
url = "https://api.snapsnip.io/v1/capture/async/{capture_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snapsnip.io/v1/capture/async/{capture_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snapsnip.io/v1/capture/async/{capture_id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.snapsnip.io/v1/capture/async/{capture_id}/download");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.snapsnip.io/v1/capture/async/{capture_id}/download")
.header("Authorization", "Bearer <token>")
.asString();Authorizations
Authenticate with a Snapsnip API key using Authorization: Bearer <api-key>.
Path Parameters
The unique identifier returned when the asynchronous capture request was accepted.
Required string length:
36Response
Redirect to the short-lived signed download URL.
⌘I